/*
for: app-nav-tabs
used in: app-explore-layout
*/

app-nav-tabs {
  display: block;
  overflow: none;
  // overflow-x: auto;
  -webkit-overflow-scrolling: touch;
  position: relative;
  &::before {
    content: "";
    position: absolute;
    left: 0;
    right: 0;
    bottom: 0;
    border-bottom: 1px solid $gray-400;
  }
  & .nav {
    overflow: auto;
    & .nav-link {
      flex: 1 1 auto;
      text-align: center;
      @include muli-regular(14px);
      color: theme-color("text-secondary");
      padding: 0.75rem 1rem;
      border-bottom-width: 3px;
      border-bottom-style: solid;
      border-bottom-color: transparent;
      transition: all 0.35s linear;
      &.active {
        @include muli-semibold(14px);
        color: theme-color("primary");
        border-bottom-color: theme-color("primary");
      }
    }
  }
  .nav > a{
    cursor: pointer;
    font-size: 14px;
    margin-right: 10px;
    &:hover{
      font-weight: bold;
      color: #3A63BB;
      font-weight: bold;
    }
  }

  @include media-breakpoint-up(lg) {
    & .nav {
      scroll-behavior: smooth;
      & .nav-link {
        flex: 0 0 auto;
        &.active {
          @include muli-bold(14px);
        }
      }
      & .nav-link::selection{
        background-color: transparent;
      }
    }
  }

  .scroll-btn{
    display: flex;
    flex-flow: row nowrap;
    position: absolute;
    top: -17px;
    right: 0px;
    display: none;
    > span{
      width: 18px;
      height: 18px;
      line-height: 18px;
      background-color: #f7f7f7;
      border-radius: 50px;
      overflow: hidden;
      font-size: 14px;
      text-align: center;
      margin: 0 0 0 10px;
      cursor: pointer;
      position: relative;
      box-shadow: 0px 0px 2px grey;
      > i{
        display: table;
        width: 8px;
        height: 8px;
        position: absolute;
        left: 7px;
        top: 5px;
        border-width: 2px;
        border-style: solid;
        transform: rotate(
    -40deg);
      }
    }
    > span.disabled{
      opacity: 0.5;
    }
    > span:first-child i{
      border-color: #525252 transparent transparent #525252;
    }
    > span:last-child i{
      border-color: transparent #525252 #525252 transparent;
      left: 3px;
    }
  }

  @media (max-width: 800px){
    .scroll-btn{
      display: none !important;
    }
  }
}

app-nav-tabs::-webkit-scrollbar {
  display: none;
}

app-nav-tabs {
  -ms-overflow-style: none;
  /* IE and Edge */
  scrollbar-width: none;
  /* Firefox */
}
